# ConsoleLine(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ConsoleLine`(bpy_struct)

  Input line for the interactive console

  `body`

    Text in the line

    Type: | string, default “”, (never None)

  `current_character`

    Type: | int in [-inf, inf], default 0

  `type`

    Console line type when used in scrollback

    Type: | enum in [‘OUTPUT’, ‘INPUT’, ‘INFO’, ‘ERROR’], default ‘OUTPUT’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`SpaceConsole.history` | `SpaceConsole.scrollback`